  <md-card>
    <md-card-header>
      <md-toolbar color="primary">
        Register
      </md-toolbar>
    </md-card-header>
    <md-card-content class="margin-top">
      <form (ngSubmit)="register()" [formGroup]="form">

        <md-input-container type="text">
          <input mdInput placeholder="firstname" dividerColor="accent" name="firstname" formControlName="firstname">
          <md-error i18n>Please enter a valid Firstname address</md-error>
        </md-input-container>
        <md-input-container>
          <input mdInput placeholder="lastname" dividerColor="accent" name="lastname" formControlName="lastname">
          <md-error i18n>Please enter a valid lastname</md-error>
        </md-input-container>
        <md-input-container type="email">
          <input mdInput placeholder="Email" dividerColor="accent" name="email" formControlName="email">
          <md-error i18n>Please enter a valid email address</md-error>
        </md-input-container>
        <md-input-container>
          <input mdInput placeholder="Password" dividerColor="accent" name="password" formControlName="password">
          <md-error i18n>Please enter a valid password</md-error>
        </md-input-container>

        <div layout="row" layout-align="space-between right">
          <button md-raised-button class="md-primary" type="submit" aria-label="login" i18n>Register</button>
        </div>

      </form>
    </md-card-content>
  </md-card>